/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/9/2 14:22
 * Description:统计
 */
package com.emr.entity;

import java.math.BigDecimal;

public class Sign_List_Vo {
    private String id;
    /**
     * 记帐号，master表中patient_id
     */
    private String pid;
    /**
     * 创建时间（该条记录写入数据库的时间）
     */
    private String createdtime;
    /**
     * 具体签收内容（分段名称）由扫描时提供，以逗号分隔
     */
    private String otherInfo;

    private String masterID;
    /**
     * 预留字段
     */
    private String detailID;
    /**
     * 签收时间
     */
    private String dTime;
    /**
     * 系统操作标识（1纸质签收 2扫描）
     */
    private Integer sysFlag;
    /**
     * 签收人（当前用户）
     */
    private String c1;
    /**
     * 送纸质病历者工号
     */
    private String c2;
    /**
     * 送纸质病历者所在科室
     */
    private String c3;

    private String c4;

    private String c5;

    private BigDecimal n1;

    private BigDecimal n2;

    private BigDecimal n3;
    /**
     * 纸质病历送达时间（可等同于签收时间）
     */
    private String t1;

    private String t2;

    private String T3;

    private String isFullText;
    /**
     * 签收标识（1已签收 2未签收）
     */
    private Integer isSign;


    /**
     * 住院号
     */
    private String inpNo;
    /**
     * 住院次数
     */
    private String visitId;
    /**
     * 患者姓名
     */
    private String name;

    /**
     * 出院科室
     */
    private String deptName;
    /**
     * 出院时间
     */
    private String dischargeDateTime;

    /**
     * 入院科室
     */
    private String deptAdmissionTo;
    /**
     * 入院时间
     */
    private String admissionDateTime;

    /**
     * 是否有纸质病历送病案室
     */
    private String isscaned;

    /**
     * 签收次数
     */
    private String num;

    /**
     * 签收开始日期
     */
    private String startSignDate;
    /**
     * 签收结束日期
     */
    private String endSignDate;

    public String getDeptAdmissionTo() {
        return deptAdmissionTo;
    }

    public void setDeptAdmissionTo(String deptAdmissionTo) {
        this.deptAdmissionTo = deptAdmissionTo;
    }

    public String getAdmissionDateTime() {
        return admissionDateTime;
    }

    public void setAdmissionDateTime(String admissionDateTime) {
        this.admissionDateTime = admissionDateTime;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getStartSignDate() {
        return startSignDate;
    }

    public void setStartSignDate(String startSignDate) {
        this.startSignDate = startSignDate;
    }

    public String getEndSignDate() {
        return endSignDate;
    }

    public void setEndSignDate(String endSignDate) {
        this.endSignDate = endSignDate;
    }

    public String getInpNo() {
        return inpNo;
    }

    public void setInpNo(String inpNo) {
        this.inpNo = inpNo;
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDischargeDateTime() {
        return dischargeDateTime;
    }

    public void setDischargeDateTime(String dischargeDateTime) {
        this.dischargeDateTime = dischargeDateTime;
    }

    public String getIsscaned() {
        return isscaned;
    }

    public void setIsscaned(String isscaned) {
        this.isscaned = isscaned;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }


    public String getCreatedtime() {
        return createdtime;
    }

    public void setCreatedtime(String createdtime) {
        this.createdtime = createdtime;
    }

    public String getOtherInfo() {
        return otherInfo;
    }

    public void setOtherInfo(String otherInfo) {
        this.otherInfo = otherInfo;
    }

    public String getMasterID() {
        return masterID;
    }

    public void setMasterID(String masterID) {
        this.masterID = masterID;
    }

    public String getDetailID() {
        return detailID;
    }

    public void setDetailID(String detailID) {
        this.detailID = detailID;
    }

    public String getdTime() {
        return dTime;
    }

    public void setdTime(String dTime) {
        this.dTime = dTime;
    }

    public Integer getSysFlag() {
        return sysFlag;
    }

    public void setSysFlag(Integer sysFlag) {
        this.sysFlag = sysFlag;
    }

    public String getC1() {
        return c1;
    }

    public void setC1(String c1) {
        this.c1 = c1;
    }

    public String getC2() {
        return c2;
    }

    public void setC2(String c2) {
        this.c2 = c2;
    }

    public String getC3() {
        return c3;
    }

    public void setC3(String c3) {
        this.c3 = c3;
    }

    public String getC4() {
        return c4;
    }

    public void setC4(String c4) {
        this.c4 = c4;
    }

    public String getC5() {
        return c5;
    }

    public void setC5(String c5) {
        this.c5 = c5;
    }

    public BigDecimal getN1() {
        return n1;
    }

    public void setN1(BigDecimal n1) {
        this.n1 = n1;
    }

    public BigDecimal getN2() {
        return n2;
    }

    public void setN2(BigDecimal n2) {
        this.n2 = n2;
    }

    public BigDecimal getN3() {
        return n3;
    }

    public void setN3(BigDecimal n3) {
        this.n3 = n3;
    }

    public String getT1() {
        return t1;
    }

    public void setT1(String t1) {
        this.t1 = t1;
    }

    public String getT2() {
        return t2;
    }

    public void setT2(String t2) {
        this.t2 = t2;
    }

    public String getT3() {
        return T3;
    }

    public void setT3(String t3) {
        T3 = t3;
    }

    public String getIsFullText() {
        return isFullText;
    }

    public void setIsFullText(String isFullText) {
        this.isFullText = isFullText;
    }

    public Integer getIsSign() {
        return isSign;
    }

    public void setIsSign(Integer isSign) {
        this.isSign = isSign;
    }
}
 

